package com.parking.HAPEstimation;

import java.util.Random;
import java.lang.Math;

/**
 * @author leon stenneth, lstennethATgmail.com
 *
 */

/* generate a random number following Negative Binomial distribution */
public class NB {

    public static void main(String argv[]) {
       
        int r = 3;
        for(int count=0;count<5;count++){
        	 Random rg = new Random();
        	for (double fp=0.0;fp<=0.25;fp+=0.05){
        		int aRandomNumber = NBRandom(r, fp, rg);
        		System.out.println("r = "+r+" fp = "+fp+" random number = " + aRandomNumber);
        	}
        	System.out.println("----------");
        }
    }

public static int NBRandom(int r, double p, Random rg) {
        
        int a = 0;
        for (int i = 0; i < r; i++) {
            double Ui = rg.nextDouble();
            a += (int)(Math.log(Ui) / Math.log(p));
        }
        return a;
    }
}