package com.parking.PAEAlgorithms;
/**
 * @author leon stenneth, lstennethATgmail.com
 *
 */
import java.util.ArrayList;

public class WeightedAverage {
	private double weight=0.5;
	private static com.parking.PAEAlgorithms.ScaledPhonePark SPP;
	private static com.parking.HAPEstimation.HAPConstruction hm;
	
	public WeightedAverage(double weight) {
		super();
		this.weight = weight;
		//hm = new com.parking.HAPEstimation.HAPConstruction();
	}

	public double getWeightedAverageAvl(double d){
		return (d*hm.getqt())+((1-d)*SPP.getSpp_xi()); 
	}
	

	public double getWeightedAverageAvl(){
		return (this.weight*hm.getqt())+((1-this.weight)*SPP.getSpp_xi());
	}
	
	
	public ArrayList <Double> getWeightedAverages(){
		ArrayList <Double> weighted_ai = new ArrayList <Double>();
		double val = 0.0;
		for (double weight=0.0;weight<=1.0;weight+=0.10){
			val = (weight*hm.getqt())+((1-weight)*SPP.getSpp_xi());
			weighted_ai.add(val);
		}
		return weighted_ai;
	}
	
	
	public double getWeight() {
		return weight;
	}

	public void setWeight(double weight) {
		this.weight = weight;
	}
	
}
